### Function

# Gio io_modules_scan_all_in_directory_with_scope

since: 2.30

#### Declaration

    void
    g_io_modules_scan_all_in_directory_with_scope (
      const gchar* dirname,
      GIOModuleScope* scope
    )

#### Description

Scans all the modules in the specified directory, ensuring that any extension point implemented by a module is registered.

This may not actually load and initialize all the types in each module, some modules may be lazily loaded and initialized when an extension point it implements is used with e.g. `g_io_extension_point_get_extensions()` or g_io_extension_point_get_extension_by_name().

If you need to guarantee that all types are loaded in all the modules, use g_io_modules_load_all_in_directory().

Available since: 2.30

#### Parameters

`dirname`

  Type: `const gchar*`

  Pathname for a directory containing modules to scan.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`scope`

  Type: `GIOModuleScope`

  A scope to use when scanning the modules.

  The data is owned by the caller of the function.